<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../../../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../../../jacoco-resources/report.gif" type="image/gif"/><title>ProductRepositoryTests.java</title><link rel="stylesheet" href="../../../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../../../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../../../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../../../index.html" class="el_report">green-grocery (01-Nov-2022 11:59:04 pm)</a> &gt; <a href="../../index.html" class="el_group">green-grocery</a> &gt; <a href="../index.html" class="el_bundle">src/test/java</a> &gt; <a href="index.source.html" class="el_package">com.example.demo</a> &gt; <span class="el_source">ProductRepositoryTests.java</span></div><h1>ProductRepositoryTests.java</h1><pre class="source lang-java linenums">package com.example.demo;
import static org.assertj.core.api.Assertions.assertThat;
import static org.junit.jupiter.api.Assertions.assertNotNull;

import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase;
import org.springframework.boot.test.autoconfigure.jdbc.AutoConfigureTestDatabase.Replace;
import org.springframework.boot.test.autoconfigure.orm.jpa.DataJpaTest;
import org.springframework.boot.test.autoconfigure.orm.jpa.TestEntityManager;
import org.springframework.test.annotation.Rollback;

import com.example.demo.model.Products;
import com.example.demo.repository.ProductRepository;

@DataJpaTest
@AutoConfigureTestDatabase(replace =Replace.NONE)
@Rollback(value=false)
<span class="fc" id="L19">public class ProductRepositoryTests {</span>
	@Autowired
	private TestEntityManager entityManager;

	@Autowired
	private ProductRepository repo;

	@Test
	public void testCreateProducts1() {
<span class="fc" id="L28">		Products products = new Products();</span>
<span class="fc" id="L29">		products.setProductName(&quot;dabur&quot;);</span>
<span class="fc" id="L30">		products.setDescription(&quot;dabur honey3&quot;);</span>
<span class="fc" id="L31">		products.setPrice(&quot;252&quot;);</span>
<span class="fc" id="L32">		products.setQuantity(&quot;3&quot;);</span>

<span class="fc" id="L34">		Products savedProducts = repo.save(products);</span>

<span class="fc" id="L36">		Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L38">		assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

<span class="fc" id="L40">	}</span>

	@Test
	public void testCreateProducts2() {
<span class="fc" id="L44">		Products products = new Products();</span>
<span class="fc" id="L45">		products.setProductName(&quot;honey&quot;);</span>
<span class="fc" id="L46">		products.setDescription(&quot;dabur2&quot;);</span>
<span class="fc" id="L47">		products.setPrice(&quot;256&quot;);</span>
<span class="fc" id="L48">		products.setQuantity(&quot;1&quot;);</span>

<span class="fc" id="L50">		Products savedProducts = repo.save(products);</span>

<span class="fc" id="L52">		Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L54">		assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

<span class="fc" id="L56">	}</span>
		

	
	@Test
	public void testCreateProducts3() {
<span class="fc" id="L62">		Products products = new Products();</span>
<span class="fc" id="L63">		 products.setProductName(&quot;SOAP3&quot;);</span>
<span class="fc" id="L64">		 products.setDescription(&quot;soap3&quot;);</span>
<span class="fc" id="L65">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L66">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L67">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L69">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L71">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L74">	}</span>
	
	@Test
	public void testCreateProducts4() {
<span class="fc" id="L78">		Products products = new Products();</span>
<span class="fc" id="L79">		 products.setProductName(&quot;vegetable&quot;);</span>
<span class="fc" id="L80">		 products.setDescription(&quot;veg&quot;);</span>
<span class="fc" id="L81">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L82">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L83">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L85">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L87">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L90">	}</span>
	@Test
	public void testCreateProducts5() {
<span class="fc" id="L93">		Products products = new Products();</span>
<span class="fc" id="L94">		 products.setProductName(&quot;veg&quot;);</span>
<span class="fc" id="L95">		 products.setDescription(&quot;vegetable&quot;);</span>
<span class="fc" id="L96">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L97">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L98">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L100">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L102">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L105">	}</span>
	
	
	
	@Test
	public void testCreateProducts6() {
<span class="fc" id="L111">		Products products = new Products();</span>
<span class="fc" id="L112">		 products.setProductName(&quot;fruit&quot;);</span>
<span class="fc" id="L113">		 products.setDescription(&quot;fruit&quot;);</span>
<span class="fc" id="L114">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L115">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L116">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L118">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L120">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L123">	}</span>
	
	
	@Test
	public void testCreateProducts7() {
<span class="fc" id="L128">		Products products = new Products();</span>
<span class="fc" id="L129">		 products.setProductName(&quot;fruity&quot;);</span>
<span class="fc" id="L130">		 products.setDescription(&quot;fruity&quot;);</span>
<span class="fc" id="L131">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L132">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L133">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L135">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L137">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L140">	}</span>
	@Test
	public void testCreateProducts8() {
<span class="fc" id="L143">		Products products = new Products();</span>
<span class="fc" id="L144">		 products.setProductName(&quot;ice&quot;);</span>
<span class="fc" id="L145">		 products.setDescription(&quot;ice&quot;);</span>
<span class="fc" id="L146">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L147">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L148">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L150">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L152">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L155">	}</span>
	@Test
	public void testCreateProducts9() {
<span class="fc" id="L158">		Products products = new Products();</span>
<span class="fc" id="L159">		 products.setProductName(&quot;icecream&quot;);</span>
<span class="fc" id="L160">		 products.setDescription(&quot;icecream&quot;);</span>
<span class="fc" id="L161">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L162">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L163">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L165">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L167">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L170">	}</span>
	
	@Test
	public void testCreateProducts10() {
<span class="fc" id="L174">		Products products = new Products();</span>
<span class="fc" id="L175">		 products.setProductName(&quot;cream&quot;);</span>
<span class="fc" id="L176">		 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L177">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L178">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L179">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L181">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L183">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L186">	}</span>
	
	@Test
	public void testCreateProducts11() {
<span class="fc" id="L190">		Products products = new Products();</span>
<span class="fc" id="L191">		 products.setProductName(&quot;cream1&quot;);</span>
<span class="fc" id="L192">		 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L193">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L194">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L195">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L197">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L199">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L202">	}</span>
	
	@Test
	public void testCreateProducts12() {
<span class="fc" id="L206">		Products products = new Products();</span>
<span class="fc" id="L207">		 products.setProductName(&quot;icecream&quot;);</span>
<span class="fc" id="L208">		 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L209">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L210">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L211">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L213">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L215">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L218">	}</span>
	
	@Test
	public void testCreateProducts13() {
<span class="fc" id="L222">		Products products = new Products();</span>
<span class="fc" id="L223">		 products.setProductName(&quot;icecream1&quot;);</span>
<span class="fc" id="L224">		 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L225">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L226">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L227">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L229">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L231">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L234">	}</span>
	@Test
	public void testCreateProducts14() {
<span class="fc" id="L237">		Products products = new Products();</span>
<span class="fc" id="L238">		 products.setProductName(&quot;icecream2&quot;);</span>
<span class="fc" id="L239">		 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L240">		 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L241">		 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L242">		 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L244">			Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L246">			assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

		
<span class="fc" id="L249">	}</span>
	

@Test
public void testCreateProducts15() {
<span class="fc" id="L254">	Products products = new Products();</span>
<span class="fc" id="L255">	 products.setProductName(&quot;icecream3&quot;);</span>
<span class="fc" id="L256">	 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L257">	 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L258">	 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L259">	 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L261">		Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L263">		assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

	
<span class="fc" id="L266">}</span>

@Test
public void testCreateProducts16() {
<span class="fc" id="L270">	Products products = new Products();</span>
<span class="fc" id="L271">	 products.setProductName(&quot;icecream4&quot;);</span>
<span class="fc" id="L272">	 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L273">	 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L274">	 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L275">	 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L277">		Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L279">		assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

	
<span class="fc" id="L282">}</span>

@Test
public void testCreateProducts17() {
<span class="fc" id="L286">	Products products = new Products();</span>
<span class="fc" id="L287">	 products.setProductName(&quot;icecream5&quot;);</span>
<span class="fc" id="L288">	 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L289">	 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L290">	 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L291">	 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L293">		Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L295">		assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

	
<span class="fc" id="L298">}</span>

@Test
public void testCreateProducts18() {
<span class="fc" id="L302">	Products products = new Products();</span>
<span class="fc" id="L303">	 products.setProductName(&quot;icecream6&quot;);</span>
<span class="fc" id="L304">	 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L305">	 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L306">	 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L307">	 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L309">		Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L311">		assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

	
<span class="fc" id="L314">}</span>

@Test
public void testCreateProducts19() {
<span class="fc" id="L318">	Products products = new Products();</span>
<span class="fc" id="L319">	 products.setProductName(&quot;icecream7&quot;);</span>
<span class="fc" id="L320">	 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L321">	 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L322">	 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L323">	 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L325">		Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L327">		assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

	
<span class="fc" id="L330">}</span>

@Test
public void testCreateProducts20() {
<span class="fc" id="L334">	Products products = new Products();</span>
<span class="fc" id="L335">	 products.setProductName(&quot;icecream8&quot;);</span>
<span class="fc" id="L336">	 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L337">	 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L338">	 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L339">	 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L341">		Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L343">		assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

	
<span class="fc" id="L346">}</span>
@Test
public void testCreateProducts21() {
<span class="fc" id="L349">	Products products = new Products();</span>
<span class="fc" id="L350">	 products.setProductName(&quot;icecream9&quot;);</span>
<span class="fc" id="L351">	 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L352">	 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L353">	 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L354">	 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L356">		Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L358">		assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

	
<span class="fc" id="L361">}</span>

@Test
public void testCreateProducts22() {
<span class="fc" id="L365">	Products products = new Products();</span>
<span class="fc" id="L366">	 products.setProductName(&quot;icecream10&quot;);</span>
<span class="fc" id="L367">	 products.setDescription(&quot;cream&quot;);</span>
<span class="fc" id="L368">	 products.setPrice(&quot;254&quot;);</span>
<span class="fc" id="L369">	 products.setQuantity(&quot;3&quot;);</span>
<span class="fc" id="L370">	 Products savedProducts = repo.save(products);</span>

<span class="fc" id="L372">		Products existProducts = entityManager.find(Products.class, savedProducts.getId());</span>

<span class="fc" id="L374">		assertThat(products.getProductName()).isEqualTo(existProducts.getProductName());</span>

	
<span class="fc" id="L377">}</span>



}


</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span>green-grocery (01-Nov-2022 11:59:04 pm)</div></body></html>